﻿.loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.45);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 999999;
}

.loader-box {
    background: #fff;
    padding: 25px 35px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 0 20px rgba(0,0,0,0.3);
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #eee;
    border-top: 5px solid #007bff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: auto;
}

.loader-box p {
    margin-top: 10px;
    font-weight: 600;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}
